;+
; Project     : HESSI
;
; Name        : rem_blanks
;
; Purpose     : remove blank elements from string array
;
; Category    : string utility 
;
; Syntax      : IDL> out=rem_blanks(array)
;
; Inputs      : ARRAY = array to process
;
; Outputs     : OUT = processed array
;
; History     : Written 20 June 2000, D. Zarro, EIT/GSFC
;
; Contact     : dzarro@solar.stanford.edu
;-

function rem_blanks,array

if not exist(array) then return,''
if datatype(array) ne 'STR' then return,array

ok=where(strtrim(array,2) ne '',count)
if count gt 0 then return,array(ok) else return,''

end
