;+
; Project     : HESSI
;                  
; Name        : MKDIR
;               
; Purpose     : wrapper around FILE_MKDIR that catches errors
;                             
; Category    : system utility
;               
; Syntax      : IDL> file_mkdir,dir
;                                        
; Outputs     : None
;                   
; History     : 17 Apr 2003, Zarro (EER/GSFC)
;               13 Apr 2004, Zarro (L-3Com/GSFC) - added CHMOD
;
; Contact     : dzarro@solar.stanford.edu
;-    

pro mkdir,dir,_extra=extra,verbose=verbose

if is_blank(dir) then return

for i=0,n_elements(dir)-1 do begin

 error=0
 catch,error
 if error ne 0 then begin
  if keyword_set(verbose) then message,err_state(),/cont
  catch,/cancel
  continue
 endif

 if not is_dir(dir[i]) then file_mkdir,dir[i]
 if is_dir(dir[i]) then chmod,dir[i],_extra=extra
endfor

return & end
